---
title: specularExponent
slug: Web/SVG/Attribute/specularExponent
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>specularExponent</code></strong> attribute controls the focus for the light source. The bigger the value the brighter the light.</p>

<p>Two elements are using this attribute: {{SVGElement("feSpecularLighting")}} and {{SVGElement("feSpotLight")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[3,8]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="diffuseLighting1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feSpecularLighting in="SourceGraphic" specularExponent="1"&gt;
      &lt;fePointLight x="60" y="60" z="20" /&gt;
    &lt;/feSpecularLighting&gt;
  &lt;/filter&gt;
  &lt;filter id="diffuseLighting2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feSpecularLighting in="SourceGraphic" specularExponent="5"&gt;
      &lt;fePointLight x="60" y="60" z="20" /&gt;
    &lt;/feSpecularLighting&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#diffuseLighting1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200"
      style="filter: url(#diffuseLighting2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="feSpecularLighting">feSpecularLighting</h2>

<p>For {{SVGElement("feSpecularLighting")}}, <code>specularExponent</code> defines the exponent value for the specular term.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feSpotLight">feSpotLight</h2>

<p>For {{SVGElement("feSpotLight")}}, <code>specularExponent</code> defines the exponent value controlling the focus for the light source.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fespecularlighting-specularexponent", "specularExponent for &lt;feSpecularLighting&gt;")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fespotlight-specularexponent", "specularExponent for &lt;feSpotLight&gt;")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feSpecularLightingSpecularExponentAttribute", "specularExponent for &lt;feSpecularLighting&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;feSpecularLighting&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feSpotLightSpecularExponentAttribute", "specularExponent for &lt;feSpotLight&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;feSpotLight&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://en.wikipedia.org/wiki/Phong_reflection_model">Description of Phong reflection model on Wikipedia</a></li>
</ul>
